<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: alexaClientSDK::mediaPlayer::android::test::FFmpegUrlInputControllerTest Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player.html">mediaPlayer</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player_1_1android.html">android</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player_1_1android_1_1test.html">test</a></li><li class="navelem"><a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1android_1_1test_1_1_f_fmpeg_url_input_controller_test.html">FFmpegUrlInputControllerTest</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pro-methods">Protected Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a> &#124;
<a href="classalexa_client_s_d_k_1_1media_player_1_1android_1_1test_1_1_f_fmpeg_url_input_controller_test-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">alexaClientSDK::mediaPlayer::android::test::FFmpegUrlInputControllerTest Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for alexaClientSDK::mediaPlayer::android::test::FFmpegUrlInputControllerTest:</div>
<div class="dyncontent">
<div class="center"><img src="classalexa_client_s_d_k_1_1media_player_1_1android_1_1test_1_1_f_fmpeg_url_input_controller_test__inherit__graph.png" border="0" usemap="#alexa_client_s_d_k_1_1media_player_1_1android_1_1test_1_1_f_fmpeg_url_input_controller_test_inherit__map" alt="Inheritance graph"/></div>
<map name="alexa_client_s_d_k_1_1media_player_1_1android_1_1test_1_1_f_fmpeg_url_input_controller_test_inherit__map" id="alexa_client_s_d_k_1_1media_player_1_1android_1_1test_1_1_f_fmpeg_url_input_controller_test_inherit__map">
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for alexaClientSDK::mediaPlayer::android::test::FFmpegUrlInputControllerTest:</div>
<div class="dyncontent">
<div class="center"><img src="classalexa_client_s_d_k_1_1media_player_1_1android_1_1test_1_1_f_fmpeg_url_input_controller_test__coll__graph.png" border="0" usemap="#alexa_client_s_d_k_1_1media_player_1_1android_1_1test_1_1_f_fmpeg_url_input_controller_test_coll__map" alt="Collaboration graph"/></div>
<map name="alexa_client_s_d_k_1_1media_player_1_1android_1_1test_1_1_f_fmpeg_url_input_controller_test_coll__map" id="alexa_client_s_d_k_1_1media_player_1_1android_1_1test_1_1_f_fmpeg_url_input_controller_test_coll__map">
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-methods"></a>
Protected Member Functions</h2></td></tr>
<tr class="memitem:a515e1327930e1d62df2e093613839917"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1android_1_1test_1_1_f_fmpeg_url_input_controller_test.html#a515e1327930e1d62df2e093613839917">SetUp</a> () override</td></tr>
<tr class="separator:a515e1327930e1d62df2e093613839917"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad449189d09b0b6500cac642281a9406e"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1android_1_1test_1_1_f_fmpeg_url_input_controller_test.html#ad449189d09b0b6500cac642281a9406e">TearDown</a> () override</td></tr>
<tr class="separator:ad449189d09b0b6500cac642281a9406e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr class="memitem:a60bc71541e85daae9d3246b669232075"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1android_1_1test_1_1_mock_playlist_parser.html">MockPlaylistParser</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1android_1_1test_1_1_f_fmpeg_url_input_controller_test.html#a60bc71541e85daae9d3246b669232075">m_parser</a></td></tr>
<tr class="separator:a60bc71541e85daae9d3246b669232075"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a515e1327930e1d62df2e093613839917"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a515e1327930e1d62df2e093613839917">&#9670;&nbsp;</a></span>SetUp()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::mediaPlayer::android::test::FFmpegUrlInputControllerTest::SetUp </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">override</span><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ad449189d09b0b6500cac642281a9406e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad449189d09b0b6500cac642281a9406e">&#9670;&nbsp;</a></span>TearDown()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::mediaPlayer::android::test::FFmpegUrlInputControllerTest::TearDown </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">override</span><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="a60bc71541e85daae9d3246b669232075"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a60bc71541e85daae9d3246b669232075">&#9670;&nbsp;</a></span>m_parser</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt;<a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1android_1_1test_1_1_mock_playlist_parser.html">MockPlaylistParser</a>&gt; alexaClientSDK::mediaPlayer::android::test::FFmpegUrlInputControllerTest::m_parser</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>/workplace/avs-device-sdk/MediaPlayer/AndroidSLESMediaPlayer/test/<a class="el" href="_f_fmpeg_url_input_controller_test_8cpp.html">FFmpegUrlInputControllerTest.cpp</a></li>
</ul>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
